html,body{
    height:100%;
    width:100%;
    position: relative;
    padding:0px;
    margin:0px;
}
#main-content{
    width:100%;
    height:calc(100% - 56px);
    padding:0px !important;
    margin:0px !important;
}

#page-controls{
    width:100%;
    padding:10px;
}

.editor-tab{
    height: 100%;
    width:100%;
    display:none;
}

.active-tab{
    display:block;
}

.inner-cont{
    padding:10px;
    border-radius: 6px;
    -webkit-box-shadow: 0px 0px 4px 0px rgba(140,140,140,0.72);
    box-shadow: 0px 0px 4px 0px rgba(140,140,140,0.72);
    margin:15px;
}
#workout-cont{
    padding:20px;
}
.superset-add-icon{
    background-color:white;
    border-radius:50%;
    font-size:16px;
    background-color:#5fd834;
    color:white;
    margin:auto;
    text-align: center;
    height:30px;
    width:30px;
    padding-top:3px;
    cursor:pointer;
    position:relative;
}

.superset-add-icon:hover{
    background-color:lime;
}

.vl{
    height:50px;
    width:3px;
    border-left:3px dashed lightgrey;
    margin:auto;
}
.superset-controls{
    position: absolute;
    top:0px;
    right:10px;
    width:100px;
    height:50px;
    padding:3px;
}
.superset-controls input, .superset-controls .input-group-text{
    font-size:8px !important;
    padding:2px;
    height:15px;
}
.exercise{
    padding-top:3px !important;
}
#vidcontainer{
    height:100%;
    width:100%;
    position:relative;
}

#videoElement{
    width: 100%;
    height: 100%;
    object-fit: cover !important;
}

#exercise-vid-cont{
    position:absolute;
    right:20px;
    top:0px;
    height:calc(100% - 100px);
    width:250px;
    border-radius:8px;
    background-color: rgba(0,0,0,0.3);
    margin-top:50px;
    overflow:hidden;
}

#timer-cont{
    width:100%;
    height:150px;
    background-image: url("../img/if_white.png");
    background-size:100px 100px;
    background-position: center;
    background-repeat: no-repeat;
    opacity: 0.1;
}

#timer{
    color:white;
    font-size:48px;
    text-align:center;
    position:absolute;
    width:100%;
    top:40px;
    left:0px;
}

#exercises-in-cont{
    height:calc(100% - 200px);
    overflow:hidden;
}

.superset-title{
    font-size:12px;
    color:#bcbcbc;
    padding-left:10px;
    margin:0px;
    opacity: 0.3;
}

.active-ss .superset-title{
    font-size:12px;
    color:#bcbcbc;
    padding-left:10px;
    margin:0px;
    opacity: 1.0 !important;
}

.vid-exercise{
    color:white;
    padding-left:10px;
    width:100%;
    padding-top:5px;
    padding-bottom: 5px;
    font-size:12px;
    opacity: 0.3;
}

.active-ss .vid-exercise{
    color:white;
    padding-left:10px;
    width:100%;
    padding-top:5px;
    padding-bottom: 5px;
    font-size:12px;
    opacity: 1.0 !important;
}

.active{
    background-color:rgba(43,152,255,0.7);
    font-size:16px !important;
    transition: 0.5s;
}

#video-controls{
    width:100%;
    height:50px;
    cursor:pointer;
    text-align: center;
    color:white;
    font-size:18px;
    padding-top:10px;
}

#video-controls:hover {
    background-color:rgba(40,174,252,0.4);
    border:1px solid #72cbff;
    border-radius: 0px 0px 8px 8px;
}

#active-exercise-cont{
    position:absolute;
    left:20px;
    bottom:10px;
    height:40px;
    width:calc(100% - 310px);
    border-radius:8px;
    background-color:rgba(40,174,252,0.4);
    border:1px solid #72cbff;
    margin-top:50px;
    overflow:hidden;
    text-align: center;
    color:white;
    font-size:22px;
    padding-top:3px;
    display:none;
}

.ss-rep-mod{
    float:right;
    margin-right:10px;
}

.superset-video-container{
    margin-bottom:10px;
}

.navbar-nav .active{
    background-color: transparent !important;
}

.ui-sortable{
    padding-left:0px !important;
    list-style-type:none !important;
}

.pulsing{
    animation: pulse 1s infinite;
}

@keyframes pulse {
    0% {
        transform: scale(0.95);
    }

    70% {
        transform: scale(1.2);
    }

    100% {
        transform: scale(0.95);
    }
}
